use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

WriteMakefile(
	      'NAME'	=> 'FileQueue',
	      'VERSION_FROM' => 'FileQueue.pm', # find $VERSION
	      clean          => { FILES => 'test-*.log*' },
	      'PREREQ_PM'    => { 
		    Params::Validate => 0.74,
		    Queue::Dir => 0.01,
                    Time::HiRes => 0,
		    Config::IniFiles => 0,
                    IO::Socket => 0,
		},
              # Time::HiRes needed by Queue::Dir
	      # SmsEngine::ReadConfig => 0.06,

	      ($] >= 5.005 ?    ## new keywords supported since 5.005
	       (ABSTRACT_FROM => 'FileQueueDepBundle.pm',
		AUTHOR     => 'Doolin Technologies http://www.doolin.com') : ()),

);
