use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

WriteMakefile(
	      'NAME'	=> 'SmsEngine',
	      'VERSION_FROM' => 'SmsEngine/SmsEngine.pm', # finds $VERSION
	      clean          => { FILES => 'test-*.log*' },

	      'PREREQ_PM'    => { 
		    Params::Validate => 0.74,
		    Queue::Dir => 0.01,
                    Time::HiRes => 0,
		    Crypt::SSLeay => 0.51,
		    SOAP::Lite => 0.60,
		    XMLRPC::Lite => 0.60,
		    XML::SimpleObject => 0.53,
		    Config::IniFiles => 0,
                    IO::Socket => 0,
		    FindBin => 0,
		},
	      # SmsEngine::ReadConfig => 0.06,
              # Time::HiRes needed by Queue::Dir

	      ($] >= 5.005 ?    ## new keywords supported since 5.005
	       (ABSTRACT_FROM => 'DoolinSmsEngineDepBundle.pm',
		AUTHOR     => 'Doolin Technologies http://www.doolin.com') : ()),
);
