#  o2xmlrpclisten.pl
#    - xml socket listener
#
#  Copyright (C) 2004 Doolin Technologies
#
#  $Id: o2xmlrpclisten.pl,v 1.4 2004/10/21 13:12:16 jamesc Exp $
#

use strict;
use bytes;

#use XMLRPC::Lite;
#use SOAP::Lite on_fault => sub {my($soap, $res) = @_; die ref $res ? $res->faultdetail : $soap->transport->status, "\n"};
use XMLRPC::Lite on_fault => sub {my($soap, $res) = @_; die ref $res ? $res->faultdetail : $soap->transport->status, "\n"};
use XMLRPC::Lite +trace => 'debug';

use Data::Dumper;


if (1) {
my $res = XMLRPC::Lite
#    -> proxy('https://foo.mi/vvtlistener1/SMSOA_soap_listener', timeout => 5)
#    -> proxy('https://216.239.194.94:444/vvtlistener1/SMSOA_soap_listener', timeout => 5)

    -> proxy('https://216.239.194.94:444/vvtlistener1/SMSOA_xmlrpc_listener', 
	     proxy => ['http', 'http://proxy:8080/'], 
	     timeout => 5)
#    -> proxy('https://216.239.194.94:444/vvtlistener1/SMSOA_soap_listener', 
#             proxy => ['http', 'http://proxy:8080/'], timeout => 5)
#    -> proxy('https://kenton.ref.genie.co.uk:444/vvtlistener1/SMSOA_soap_listener', 
#             proxy => ['http', 'http://proxy:8080/'], timeout => 5)

#    -> proxy('https://216.239.194.94:444/vvtlistener1/SMSOA_soap_listener', timeout => 14)

#    -> proxy('http://localhost:7778')
#    -> proxy('https://localhost:7778')
    -> call('sendsimplemessage', 
	    ( { ( "Type" => "NOR" ),
		( "Message" =>
		    [ { "text" => "test xml rpc message" } ], ),
		(    "MSISDN" =>
			 [ { "num" => SOAP::Data->type(string => qq(353861953134)) } ], ),
		} )
	    )
    -> result;

print "RESULT $res RESULT\n";
#SOAP::Data->type(base64 => $string)
print "id:".$res->{RequestID}." ";
print "errcode:".$res->{ErrorCode}." ";
print "errmsg:".$res->{ErrorMessage}." ";

my $s = scalar(@$res->{Failed_MSISDN});
print "failed_MSISDN:".$res->{Failed_MSISDN}." "; # ARRAY(0xaddr)
print "elements:".$l." ";
foreach my $fmsisdn (@$res->{Failed_MSISDN}) { 
    print "msisdn:".$fmsisdn." ";
}

exit(0);
}


=head1 NAME

o2xmlrpclisten.pl - xml socket listener

=head1 SYNOPSIS

perl o2xmlrpclisten.pl

=head1 DESCRIPTION

Listen on socket, parse xml received and reply or exit.
Used for unit testing smsengine components.

=head1 COPYRIGHT

Copyright (C) 2004 Doolin Technologies

=cut
