package Bundle::DoolinSmsEngineDepBundle;
our $VERSION = '0.01';
1;
__END__

=head1 NAME

SmsEngine - handy package of libs needed by Doolin::SmsEngine

=head1 SYNOPSIS

 C<perl -MCPAN -e 'install Bundle::MyBundle'>

=head1 CONTENTS

 Params::Validate 0.74  - 
 Queue::Dir 0.01  - 
 Crypt::SSLeay 0.51  - 
 SOAP::Lite 0.60  - 
 XMLRPC::Lite 0.60  - 
 XML::SimpleObject 0.53  - 

=head1 DESCRIPTION

 autobundle Params::Validate Queue::Dir Crypt::SSLeay SOAP::Lite XMLRPC::Lite XML::SimpleObject

 Used for communication over xmlrpc or as http daemons. Different xml interfaces. Sms file queues.
 Some versions of SmsEngine don't require all these packages.

 core packages used not in bundle:
 Storable
 File
 LWP
 IO::Socket
 FindBin

 TODO: add POE

=head1 AUTHOR

Doolin Technologies http://www.doolin.com

=cut
